## GORegexp GORegexp |

## Functions

int | go_regcomp ()
size_t | go_regerror ()
int | go_regexec ()
void | go_regexp_quote ()
const char * | go_regexp_quote1 ()
void | go_regfree ()

## Types and Values

| GORegexp
| GORegmatch
typedef | GORegoff
#define | GO_REG_OK

## Object Hierarchy

## Description

## Functions

### go_regcomp ()

    int
    go_regcomp (GORegexp *preg,
                const char *pattern,
                int cflags);

#### Returns

### go_regerror ()

    size_t
    go_regerror (int errcode,
                 const GORegexp *preg,
                 char *errbuf,
                 size_t errbuf_size);

#### Returns

### go_regexec ()

    int
    go_regexec (const GORegexp *preg,
                const char *string,
                size_t nmatch,
                GORegmatch pmatch[],
                int eflags);

#### Returns

### go_regexp_quote ()

    void
    go_regexp_quote (GString *target,
                     const char *s);

### go_regexp_quote1 ()

    const char *
    go_regexp_quote1 (GString *target,
                      const char *s);

#### Returns

### go_regfree ()

    void
    go_regfree (GORegexp *preg);

## Types and Values

### GORegexp

    typedef struct {
    	size_t re_nsub;
    } GORegexp;

#### Members

size_t `re_nsub`; | number of capturing subpatterns. |

### GORegmatch

    typedef struct {
    	GORegoff rm_so, rm_eo;
    } GORegmatch;

#### Members

GORegoff `rm_so`; | start offset. |
GORegoff `rm_eo`; | end offset. |

### GORegoff

    typedef int GORegoff;

### GO_REG_OK

    #define GO_REG_OK GO_REG_NOERROR